diff --git a/gcc/ada/gcc-interface/decl.c b/gcc/ada/gcc-interface/decl.c
index 4c9788d..c681e8f 100644
--- a/gcc/ada/gcc-interface/decl.c
+++ b/gcc/ada/gcc-interface/decl.c
@@ -1499,8 +1499,8 @@ gnat_to_gnu_entity (Entity_Id gnat_entity, tree gnu_expr, int definition)
 	if (kind == E_Out_Parameter
 	    && definition
 	    && debug_info_p
-	    && !optimize
-	    && !flag_generate_lto)
+	    && !GCC_OPTION (optimize)
+	    && !GCC_OPTION (flag_generate_lto))
 	  {
 	    tree param = create_param_decl (gnu_entity_name, gnu_type, false);
 	    gnat_pushdecl (param, gnat_entity);
@@ -1536,7 +1536,7 @@ gnat_to_gnu_entity (Entity_Id gnat_entity, tree gnu_expr, int definition)
 	     - if either itself or its type is aliased.  */
 	if (TREE_CODE (gnu_decl) == CONST_DECL
 	    && (definition || Sloc (gnat_entity) > Standard_Location)
-	    && ((!optimize && debug_info_p)
+	    && ((!GCC_OPTION (optimize) && debug_info_p)
 		|| (Is_Public (gnat_entity)
 		    && No (Address_Clause (gnat_entity)))
 		|| Address_Taken (gnat_entity)
@@ -1586,7 +1586,7 @@ gnat_to_gnu_entity (Entity_Id gnat_entity, tree gnu_expr, int definition)
 		 && DECL_MODE (gnu_decl) != BLKmode
 		 && AGGREGATE_TYPE_P (TREE_TYPE (gnu_decl))
 		 && !TYPE_IS_FAT_POINTER_P (TREE_TYPE (gnu_decl))
-		 && !optimize)
+		 && !GCC_OPTION (optimize))
 	  TREE_ADDRESSABLE (gnu_decl) = 1;
 
 	/* If we are defining an object with variable size or an object with
@@ -1597,7 +1597,7 @@ gnat_to_gnu_entity (Entity_Id gnat_entity, tree gnu_expr, int definition)
 	    && get_block_jmpbuf_decl ()
 	    && DECL_SIZE_UNIT (gnu_decl)
 	    && (TREE_CODE (DECL_SIZE_UNIT (gnu_decl)) != INTEGER_CST
-		|| (flag_stack_check == GENERIC_STACK_CHECK
+		|| (GCC_OPTION (flag_stack_check) == GENERIC_STACK_CHECK
 		    && compare_tree_int (DECL_SIZE_UNIT (gnu_decl),
 					 STACK_CHECK_MAX_VAR_SIZE) > 0)))
 	  add_stmt_with_node (build_call_n_expr
@@ -4239,7 +4239,7 @@ gnat_to_gnu_entity (Entity_Id gnat_entity, tree gnu_expr, int definition)
 	       to let developers be notified on demand without risking false
 	       positives with common default sets of options.  */
 
-	    if (gnu_builtin_decl == NULL_TREE && warn_shadow)
+	    if (gnu_builtin_decl == NULL_TREE && GCC_OPTION (warn_shadow))
 	      post_error ("?gcc intrinsic not found for&!", gnat_entity);
 	  }
 
@@ -6319,7 +6319,7 @@ elaborate_expression_1 (tree gnu_expr, Entity_Id gnat_entity, tree gnu_name,
      use it for bounds of loop iteration scheme to avoid code duplication.  */
   use_variable = expr_variable_p
 		 && (expr_global_p
-		     || (!optimize
+		     || (!GCC_OPTION (optimize)
 		         && definition
 			 && Is_Itype (gnat_entity)
 			 && Nkind (Associated_Node_For_Itype (gnat_entity))
diff --git a/gcc/ada/gcc-interface/gigi.h b/gcc/ada/gcc-interface/gigi.h
index a565dc6..8b807aa 100644
--- a/gcc/ada/gcc-interface/gigi.h
+++ b/gcc/ada/gcc-interface/gigi.h
@@ -1060,7 +1060,7 @@ extern void enumerate_modes (void (*f) (const char *, int, int, int, int, int,
    Descriptors.  Always used in combination with TARGET_ABI_OPEN_VMS
    so no effect on non-VMS systems.  */
 #if TARGET_ABI_OPEN_VMS
-#define GCC_OPTION_flag_vms_malloc64 flag_vms_malloc64
+#define GCC_OPTION_flag_vms_malloc64 GCC_OPTION (flag_vms_malloc64)
 #else
 #define GCC_OPTION_flag_vms_malloc64 0
 #endif
diff --git a/gcc/ada/gcc-interface/trans.c b/gcc/ada/gcc-interface/trans.c
index 4a4d0fa..8d464af 100644
--- a/gcc/ada/gcc-interface/trans.c
+++ b/gcc/ada/gcc-interface/trans.c
@@ -317,7 +317,7 @@ gigi (Node_Id gnat_root,
   type_annotate_only = (gigi_operating_mode == 1);
 
 #if TARGET_ABI_OPEN_VMS
-  vms_float_format = Float_Format;
+  GCC_OPTION (vms_float_format) = Float_Format;
 #endif
 
   for (i = 0; i < number_file; i++)
@@ -1297,17 +1297,17 @@ Pragma_to_gnu (Node_Id gnat_node)
 		     (First (Pragma_Argument_Associations (gnat_node)))))
 	{
 	case Name_Off:
-	  if (optimize)
+	  if (GCC_OPTION (optimize))
 	    post_error ("must specify -O0?", gnat_node);
 	  break;
 
 	case Name_Space:
-	  if (!optimize_size)
+	  if (!GCC_OPTION (optimize_size))
 	    post_error ("must specify -Os?", gnat_node);
 	  break;
 
 	case Name_Time:
-	  if (!optimize)
+	  if (!GCC_OPTION (optimize))
 	    post_error ("insufficient -O value?", gnat_node);
 	  break;
 
@@ -1317,7 +1317,7 @@ Pragma_to_gnu (Node_Id gnat_node)
       break;
 
     case Pragma_Reviewable:
-      if (write_symbols == NO_DEBUG)
+      if (GCC_OPTION (write_symbols) == NO_DEBUG)
 	post_error ("must specify -g?", gnat_node);
       break;
 
@@ -1913,7 +1913,7 @@ Attribute_to_gnu (Node_Id gnat_node, tree *gnu_result_type_p, int attribute)
 
 	/* When not optimizing, look up the slot associated with the parameter
 	   and the dimension in the cache and create a new one on failure.  */
-	if (!optimize && Present (gnat_param))
+	if (!GCC_OPTION (optimize) && Present (gnat_param))
 	  {
 	    FOR_EACH_VEC_SAFE_ELT (f_parm_attr_cache, i, pa)
 	      if (pa->id == gnat_param && pa->dim == Dimension)
@@ -2633,7 +2633,7 @@ Loop_Statement_to_gnu (Node_Id gnat_node)
 
 	 which works in all cases.  */
 
-      if (optimize)
+      if (GCC_OPTION (optimize))
 	{
 	  /* We can use the do-while form directly if GNU_FIRST-1 doesn't
 	     overflow.  */
@@ -3368,7 +3368,7 @@ build_return_expr (tree ret_obj, tree ret_val)
       /* If the function returns an aggregate type, find out whether this is
 	 a candidate for Named Return Value.  If so, record it.  Otherwise,
 	 if this is an expression of some kind, record it elsewhere.  */
-      if (optimize
+      if (GCC_OPTION (optimize)
 	  && AGGREGATE_TYPE_P (operation_type)
 	  && !TYPE_IS_FAT_POINTER_P (operation_type)
 	  && TYPE_MODE (operation_type) == BLKmode
@@ -3752,7 +3752,7 @@ Subprogram_Body_to_gnu (Node_Id gnat_node)
 
   /* If the function returns an aggregate type and we have candidates for
      a Named Return Value, finalize the optimization.  */
-  if (optimize && gnu_subprog_language->named_ret_val)
+  if (GCC_OPTION (optimize) && gnu_subprog_language->named_ret_val)
     {
       finalize_nrv (gnu_subprog_decl,
 		    gnu_subprog_language->named_ret_val,
@@ -5026,7 +5026,7 @@ Compilation_Unit_to_gnu (Node_Id gnat_node)
   add_stmt (gnat_to_gnu (gnat_unit));
 
   /* If we can inline, generate code for all the inlined subprograms.  */
-  if (optimize)
+  if (GCC_OPTION (optimize))
     {
       Entity_Id gnat_entity;
 
@@ -5164,7 +5164,7 @@ Raise_Error_to_gnu (Node_Id gnat_node, tree *gnu_result_type_p)
 	     one of which has the checks eliminated and the other has
 	     the original checks reinstated, and a run time selection.
 	     The former loop will be suitable for vectorization.  */
-	  if (flag_unswitch_loops
+	  if (GCC_OPTION (flag_unswitch_loops)
 	      && (!gnu_low_bound
 		  || (gnu_low_bound = gnat_invariant_expr (gnu_low_bound)))
 	      && (!gnu_high_bound
@@ -6376,7 +6376,7 @@ gnat_to_gnu (Node_Id gnat_node)
     case N_Null_Statement:
       /* When not optimizing, turn null statements from source into gotos to
 	 the next statement that the middle-end knows how to preserve.  */
-      if (!optimize && Comes_From_Source (gnat_node))
+      if (!GCC_OPTION (optimize) && Comes_From_Source (gnat_node))
 	{
 	  tree stmt, label = create_label_decl (NULL_TREE, gnat_node);
 	  DECL_IGNORED_P (label) = 1;
@@ -6559,7 +6559,7 @@ gnat_to_gnu (Node_Id gnat_node)
 
 		/* And find out whether this is a candidate for Named Return
 		   Value.  If so, record it.  */
-		if (!TYPE_CI_CO_LIST (gnu_subprog_type) && optimize)
+		if (!TYPE_CI_CO_LIST (gnu_subprog_type) && GCC_OPTION (optimize))
 		  {
 		    tree ret_val = gnu_ret_val;
 
@@ -6624,7 +6624,7 @@ gnat_to_gnu (Node_Id gnat_node)
 				 gnu_return_label_stack->last ());
 
 	    /* When not optimizing, make sure the return is preserved.  */
-	    if (!optimize && Comes_From_Source (gnat_node))
+	    if (!GCC_OPTION (optimize) && Comes_From_Source (gnat_node))
 	      DECL_ARTIFICIAL (gnu_return_label_stack->last ()) = 0;
 	  }
 
@@ -7143,7 +7143,7 @@ gnat_to_gnu (Node_Id gnat_node)
     case N_Validate_Unchecked_Conversion:
       /* The only validation we currently do on an unchecked conversion is
 	 that of aliasing assumptions.  */
-      if (flag_strict_aliasing)
+      if (GCC_OPTION (flag_strict_aliasing))
 	gnat_validate_uc_list.safe_push (gnat_node);
       gnu_result = alloc_stmt_list ();
       break;
@@ -7171,7 +7171,7 @@ gnat_to_gnu (Node_Id gnat_node)
   /* When not optimizing, turn boolean rvalues B into B != false tests
      so that the code just below can put the location information of the
      reference to B on the inequality operator for better debug info.  */
-  if (!optimize
+  if (!GCC_OPTION (optimize)
       && TREE_CODE (gnu_result) != INTEGER_CST
       && (kind == N_Identifier
 	  || kind == N_Expanded_Name
diff --git a/gcc/ada/gcc-interface/utils.c b/gcc/ada/gcc-interface/utils.c
index 014fe36..a9f803e 100644
--- a/gcc/ada/gcc-interface/utils.c
+++ b/gcc/ada/gcc-interface/utils.c
@@ -1330,7 +1330,7 @@ relate_alias_sets (tree gnu_new_type, tree gnu_old_type, enum alias_set_op op)
 	 aliasing settings because this can break the aliasing relationship
 	 between the array type and its element type.  */
 #ifndef ENABLE_CHECKING
-      if (flag_strict_aliasing)
+      if (GCC_OPTION (flag_strict_aliasing))
 #endif
 	gcc_assert (!(TREE_CODE (gnu_new_type) == ARRAY_TYPE
 		      && TREE_CODE (gnu_old_type) == ARRAY_TYPE
@@ -2199,7 +2199,7 @@ create_var_decl_1 (tree var_name, tree asm_name, tree type, tree var_init,
      try to fiddle with DECL_COMMON.  However, on platforms that don't
      support global BSS sections, uninitialized global variables would
      go in DATA instead, thus increasing the size of the executable.  */
-  if (!flag_no_common
+  if (!GCC_OPTION (flag_no_common)
       && TREE_CODE (var_decl) == VAR_DECL
       && TREE_PUBLIC (var_decl)
       && !have_global_bss_p ())
@@ -5051,7 +5051,7 @@ convert_to_index_type (tree expr)
 
   /* If the type is unsigned, overflow is allowed so we cannot be sure that
      EXPR doesn't overflow.  Keep it simple if optimization is disabled.  */
-  if (TYPE_UNSIGNED (type) || !optimize)
+  if (TYPE_UNSIGNED (type) || !GCC_OPTION (optimize))
     return convert (sizetype, expr);
 
   switch (code)
diff --git a/gcc/ada/gcc-interface/utils2.c b/gcc/ada/gcc-interface/utils2.c
index dd4151b..c95d984 100644
--- a/gcc/ada/gcc-interface/utils2.c
+++ b/gcc/ada/gcc-interface/utils2.c
@@ -1239,7 +1239,7 @@ build_unary_op (enum tree_code op_code, tree result_type, tree operand)
       /* When not optimizing, fold the result as invert_truthvalue_loc
 	 doesn't fold the result of comparisons.  This is intended to undo
 	 the trick used for boolean rvalues in gnat_to_gnu.  */
-      if (!optimize)
+      if (!GCC_OPTION (optimize))
 	result = fold (result);
       break;
 
diff --git a/gcc/alias.c b/gcc/alias.c
index 434ae7a..eb65e31 100644
--- a/gcc/alias.c
+++ b/gcc/alias.c
@@ -390,7 +390,7 @@ mems_in_disjoint_alias_sets_p (const_rtx mem1, const_rtx mem2)
    gen_rtx_MEM, and the MEM_ALIAS_SET is not cleared.  If we begin to
    use alias sets to indicate that spilled registers cannot alias each
    other, we might need to remove this check.  */
-  gcc_assert (flag_strict_aliasing
+  gcc_assert (GCC_OPTION (flag_strict_aliasing)
 	      || (!MEM_ALIAS_SET (mem1) && !MEM_ALIAS_SET (mem2)));
 
   return ! alias_sets_conflict_p (MEM_ALIAS_SET (mem1), MEM_ALIAS_SET (mem2));
@@ -597,7 +597,7 @@ get_deref_alias_set (tree t)
 {
   /* If we're not doing any alias analysis, just assume everything
      aliases everything else.  */
-  if (!flag_strict_aliasing)
+  if (!GCC_OPTION (flag_strict_aliasing))
     return 0;
 
   alias_set_type set = get_deref_alias_set_1 (t);
@@ -716,7 +716,7 @@ get_alias_set (tree t)
   /* If we're not doing any alias analysis, just assume everything
      aliases everything else.  Also return 0 if this or its type is
      an error.  */
-  if (! flag_strict_aliasing || t == error_mark_node
+  if (! GCC_OPTION (flag_strict_aliasing) || t == error_mark_node
       || (! TYPE_P (t)
 	  && (TREE_TYPE (t) == 0 || TREE_TYPE (t) == error_mark_node)))
     return 0;
@@ -902,7 +902,7 @@ get_alias_set (tree t)
 alias_set_type
 new_alias_set (void)
 {
-  if (flag_strict_aliasing)
+  if (GCC_OPTION (flag_strict_aliasing))
     {
       if (alias_sets == 0)
 	vec_safe_push (alias_sets, (alias_set_entry) 0);
@@ -1815,7 +1815,7 @@ base_alias_check (rtx x, rtx x_base, rtx y, rtx y_base,
     {
       rtx x_c;
 
-      if (! flag_expensive_optimizations || (x_c = canon_rtx (x)) == x)
+      if (! GCC_OPTION (flag_expensive_optimizations) || (x_c = canon_rtx (x)) == x)
 	return 1;
 
       x_base = find_base_term (x_c);
@@ -1826,7 +1826,7 @@ base_alias_check (rtx x, rtx x_base, rtx y, rtx y_base,
   if (y_base == 0)
     {
       rtx y_c;
-      if (! flag_expensive_optimizations || (y_c = canon_rtx (y)) == y)
+      if (! GCC_OPTION (flag_expensive_optimizations) || (y_c = canon_rtx (y)) == y)
 	return 1;
 
       y_base = find_base_term (y_c);
@@ -2268,7 +2268,7 @@ nonoverlapping_component_refs_p (const_rtx rtlx, const_rtx rtly)
   const_tree x = MEM_EXPR (rtlx), y = MEM_EXPR (rtly);
   const_tree fieldx, fieldy, typex, typey, orig_y;
 
-  if (!flag_strict_aliasing
+  if (!GCC_OPTION (flag_strict_aliasing)
       || !x || !y
       || TREE_CODE (x) != COMPONENT_REF
       || TREE_CODE (y) != COMPONENT_REF)
diff --git a/gcc/asan.c b/gcc/asan.c
index 53992a8..303cb35 100644
--- a/gcc/asan.c
+++ b/gcc/asan.c
@@ -2124,7 +2124,7 @@ asan_dynamic_init_call (bool after_p)
   if (!after_p)
     {
       pretty_printer module_name_pp;
-      pp_string (&module_name_pp, main_input_filename);
+      pp_string (&module_name_pp, GCC_OPTION (main_input_filename));
 
       if (shadow_ptr_types[0] == NULL_TREE)
 	asan_init_shadow_ptr_types ();
@@ -2193,7 +2193,7 @@ asan_add_global (tree decl, tree type, vec<constructor_elt, va_gc> *v)
     pp_string (&asan_pp, "<unknown>");
   str_cst = asan_pp_string (&asan_pp);
 
-  pp_string (&module_name_pp, main_input_filename);
+  pp_string (&module_name_pp, GCC_OPTION (main_input_filename));
   module_name_cst = asan_pp_string (&module_name_pp);
 
   if (asan_needs_local_alias (decl))
@@ -2399,7 +2399,7 @@ asan_finish_file (void)
   /* Avoid instrumenting code in the asan ctors/dtors.
      We don't need to insert padding after the description strings,
      nor after .LASAN* array.  */
-  flag_sanitize &= ~SANITIZE_ADDRESS;
+  GCC_OPTION (flag_sanitize) &= ~SANITIZE_ADDRESS;
 
   tree fn = builtin_decl_implicit (BUILT_IN_ASAN_INIT);
   append_to_statement_list (build_call_expr (fn, 0), &asan_ctor_statements);
@@ -2456,7 +2456,7 @@ asan_finish_file (void)
     }
   cgraph_build_static_cdtor ('I', asan_ctor_statements,
 			     MAX_RESERVED_INIT_PRIORITY - 1);
-  flag_sanitize |= SANITIZE_ADDRESS;
+  GCC_OPTION (flag_sanitize) |= SANITIZE_ADDRESS;
 }
 
 /* Instrument the current function.  */
@@ -2473,7 +2473,7 @@ asan_instrument (void)
 static bool
 gate_asan (void)
 {
-  return (flag_sanitize & SANITIZE_ADDRESS) != 0
+  return (GCC_OPTION (flag_sanitize) & SANITIZE_ADDRESS) != 0
 	  && !lookup_attribute ("no_sanitize_address",
 				DECL_ATTRIBUTES (current_function_decl));
 }
@@ -2521,7 +2521,7 @@ make_pass_asan (gcc::context *ctxt)
 static bool
 gate_asan_O0 (void)
 {
-  return !optimize && gate_asan ();
+  return !GCC_OPTION (optimize) && gate_asan ();
 }
 
 namespace {
@@ -2604,7 +2604,7 @@ execute_sanopt (void)
 static bool
 gate_sanopt (void)
 {
-  return flag_sanitize;
+  return GCC_OPTION (flag_sanitize);
 }
 
 namespace {
diff --git a/gcc/auto-inc-dec.c b/gcc/auto-inc-dec.c
index 47f516d..d0fef31 100644
--- a/gcc/auto-inc-dec.c
+++ b/gcc/auto-inc-dec.c
@@ -1499,7 +1499,7 @@ static bool
 gate_auto_inc_dec (void)
 {
 #ifdef AUTO_INC_DEC
-  return (optimize > 0 && flag_auto_inc_dec);
+  return (GCC_OPTION (optimize) > 0 && GCC_OPTION (flag_auto_inc_dec));
 #else
   return false;
 #endif
diff --git a/gcc/bb-reorder.c b/gcc/bb-reorder.c
index 3364d93..ae13920 100644
--- a/gcc/bb-reorder.c
+++ b/gcc/bb-reorder.c
@@ -954,7 +954,7 @@ better_edge_p (const_basic_block bb, const_edge e, int prob, int freq,
      non-crossing edges over crossing edges.  */
 
   if (!is_better_edge
-      && flag_reorder_blocks_and_partition
+      && GCC_OPTION (flag_reorder_blocks_and_partition)
       && cur_best_edge
       && (cur_best_edge->flags & EDGE_CROSSING)
       && !(e->flags & EDGE_CROSSING))
@@ -2308,8 +2308,8 @@ gate_handle_reorder_blocks (void)
 {
   if (targetm.cannot_modify_jumps_p ())
     return false;
-  return (optimize > 0
-	  && (flag_reorder_blocks || flag_reorder_blocks_and_partition));
+  return (GCC_OPTION (optimize) > 0
+	  && (GCC_OPTION (flag_reorder_blocks) || GCC_OPTION (flag_reorder_blocks_and_partition)));
 }
 
 static unsigned int
@@ -2381,8 +2381,8 @@ gate_duplicate_computed_gotos (void)
 {
   if (targetm.cannot_modify_jumps_p ())
     return false;
-  return (optimize > 0
-	  && flag_expensive_optimizations
+  return (GCC_OPTION (optimize) > 0
+	  && GCC_OPTION (flag_expensive_optimizations)
 	  && ! optimize_function_for_size_p (cfun));
 }
 
@@ -2550,8 +2550,8 @@ gate_handle_partition_blocks (void)
      sections of the .o file does not work well with linkonce or with
      user defined section attributes.  Don't call it if either case
      arises.  */
-  return (flag_reorder_blocks_and_partition
-          && optimize
+  return (GCC_OPTION (flag_reorder_blocks_and_partition)
+          && GCC_OPTION (optimize)
 	  /* See gate_handle_reorder_blocks.  We should not partition if
 	     we are going to omit the reordering.  */
 	  && optimize_function_for_speed_p (cfun)
diff --git a/gcc/bt-load.c b/gcc/bt-load.c
index 4fa68f1..daaa30c 100644
--- a/gcc/bt-load.c
+++ b/gcc/bt-load.c
@@ -1019,13 +1019,13 @@ btr_def_live_range (btr_def def, HARD_REG_SET *btrs_live_in_range)
 
       bitmap_set_bit (def->live_range, def->bb->index);
       COPY_HARD_REG_SET (*btrs_live_in_range,
-			 (flag_btr_bb_exclusive
+			 (GCC_OPTION (flag_btr_bb_exclusive)
 			  ? btrs_live : btrs_live_at_end)[def->bb->index]);
 
       for (user = def->uses; user != NULL; user = user->next)
 	augment_live_range (def->live_range, btrs_live_in_range,
 			    def->bb, user->bb,
-			    (flag_btr_bb_exclusive
+			    (GCC_OPTION (flag_btr_bb_exclusive)
 			     || user->insn != BB_END (def->bb)
 			     || !JUMP_P (user->insn)));
     }
@@ -1036,7 +1036,7 @@ btr_def_live_range (btr_def def, HARD_REG_SET *btrs_live_in_range)
 	 of other PT instructions may have affected it.
       */
       unsigned bb;
-      unsigned def_bb = flag_btr_bb_exclusive ? -1 : def->bb->index;
+      unsigned def_bb = GCC_OPTION (flag_btr_bb_exclusive) ? -1 : def->bb->index;
       bitmap_iterator bi;
 
       CLEAR_HARD_REG_SET (*btrs_live_in_range);
@@ -1089,7 +1089,7 @@ combine_btr_defs (btr_def def, HARD_REG_SET *btrs_live_in_range)
 	  for (user = other_def->uses; user != NULL; user = user->next)
 	    augment_live_range (combined_live_range, &combined_btrs_live,
 				def->bb, user->bb,
-				(flag_btr_bb_exclusive
+				(GCC_OPTION (flag_btr_bb_exclusive)
 				 || user->insn != BB_END (def->bb)
 				 || !JUMP_P (user->insn)));
 
@@ -1356,7 +1356,7 @@ migrate_btr_def (btr_def def, int min_cost)
 	{
 	  int btr;
 	  augment_live_range (live_range, &btrs_live_in_range, def->bb, attempt,
-			      flag_btr_bb_exclusive);
+			      GCC_OPTION (flag_btr_bb_exclusive));
 	  if (dump_file)
 	    {
 	      fprintf (dump_file, "Now btrs live in range are: ");
@@ -1478,7 +1478,7 @@ branch_target_load_optimize (bool after_prologue_epilogue_gen)
 #if 1
 	  /* This may or may not be needed, depending on where we
 	     run this phase.  */
-	  cleanup_cfg (optimize ? CLEANUP_EXPENSIVE : 0);
+	  cleanup_cfg (GCC_OPTION (optimize) ? CLEANUP_EXPENSIVE : 0);
 #endif
 	}
       df_analyze ();
@@ -1497,7 +1497,7 @@ branch_target_load_optimize (bool after_prologue_epilogue_gen)
 static bool
 gate_handle_branch_target_load_optimize1 (void)
 {
-  return flag_branch_target_load_optimize;
+  return GCC_OPTION (flag_branch_target_load_optimize);
 }
 
 
@@ -1551,7 +1551,7 @@ make_pass_branch_target_load_optimize1 (gcc::context *ctxt)
 static bool
 gate_handle_branch_target_load_optimize2 (void)
 {
-  return (optimize > 0 && flag_branch_target_load_optimize2);
+  return (GCC_OPTION (optimize) > 0 && GCC_OPTION (flag_branch_target_load_optimize2));
 }
 
 
@@ -1563,8 +1563,8 @@ rest_of_handle_branch_target_load_optimize2 (void)
   /* Leave this a warning for now so that it is possible to experiment
      with running this pass twice.  In 3.6, we should either make this
      an error, or use separate dump files.  */
-  if (flag_branch_target_load_optimize
-      && flag_branch_target_load_optimize2
+  if (GCC_OPTION (flag_branch_target_load_optimize)
+      && GCC_OPTION (flag_branch_target_load_optimize2)
       && !warned)
     {
       warning (0, "branch target register load optimization is not intended "
